Package org.apache.commons.lang3

## Enum ClassUtils.Interfaces

- java.lang.Object
- - java.lang.Enum<ClassUtils.Interfaces>
  - - org.apache.commons.lang3.ClassUtils.Interfaces

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ClassUtils.Interfaces>`

Enclosing class:
  ClassUtils

    public static enum ClassUtils.Interfaces
    extends java.lang.Enum<ClassUtils.Interfaces>

Inclusivity literals for `ClassUtils.hierarchy(Class, Interfaces)`.

Since:
  3.2

### Enum Constant Summary

Enum Constants
`EXCLUDE` Excludes interfaces.
`INCLUDE` Includes interfaces.

### Method Summary

All Methods Static Methods Concrete Methods
`static ClassUtils.Interfaces` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClassUtils.Interfaces[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INCLUDE

    public static final ClassUtils.Interfaces INCLUDE

Includes interfaces.

#### EXCLUDE

    public static final ClassUtils.Interfaces EXCLUDE

Excludes interfaces.

### Method Detail

#### values

    public static ClassUtils.Interfaces[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClassUtils.Interfaces c : ClassUtils.Interfaces.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClassUtils.Interfaces valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null